API reference · Votes
Delete a vote
DELETE/v1/votes/{voteId}
Delete a vote. Only votes which weren't casted nor billed nor sent can be deleted.
Requires a Bearer access token.
Parameters
This field has no description in the spec.
voteId#stringin pathrequired
Response
200 · VoteNo field is described in the spec.
voteId#stringalways returnedweight#numberstatus#VoteStatusalways returnedPENDINGDONEPROCESSEDsecret#stringalways returnedexternalId#stringuniqueExternalId#stringcastedAt#string (date-time)validatedAt#string (date-time)processedAt#string (date-time)billingStatus#BillingStatusalways returnedPENDINGBILLEDPAIDautoAssigned#booleansendingMode#CampaignSendingModealways returnedMANUALEMAILPHYSICALSLACKPOSTALsendingDate#string (date-time)sendingStatus#DonationSendingStatusalways returnedPENDINGFAILEDDONElastReminderId#stringmessage#stringreminderMessage#stringfrom#stringlanguage#Languagealways returnedfrenaccountId#stringalways returnedcampaignId#stringalways returnedcharityId#stringtransactionId#stringdonorId#stringcreatedAt#string (date-time)always returnedupdatedAt#string (date-time)always returned
Errors
401Unauthorized
Missing, expired or invalid access token.
{ "statusCode": 401, "message": "Unauthorized" }403Vote already used
{ "statusCode": 403, "message": "Vote already used", "error": "Forbidden" }403Vote already billed
{ "statusCode": 403, "message": "Vote already billed", "error": "Forbidden" }403Vote already sent
{ "statusCode": 403, "message": "Vote already sent", "error": "Forbidden" }403Account closed
{ "message": "Account closed", "code": "ACCOUNT_CLOSED" }403Forbidden
Your credentials cannot perform this action on this resource. An id from another account answers 404 in the path, 400 in the body or the query.
{ "statusCode": 403, "message": "Forbidden" }404Not Found
No resource with this id on your account: the API answers as if it did not exist.
{ "statusCode": 404, "message": "Not Found" }
curl -X DELETE https://api.sandbox.charitips.com/v1/votes/<voteId> \ -H "Authorization: Bearer $CHARITIPS_TOKEN"Request bodies are written for this docs and checked against the API's validation; ids in angle brackets are placeholders. Response values are placeholders built from the schema.